#! /bin/sh

pear_scripts() {
  script_file="/etc/pear/pear_scripts/scripts.sh"
  if [ -f "${script_file}" ]; then
    chmod +x ${script_file} && ${script_file}
  fi
}

start_app() {
  pear_scripts
  /usr/sbin/pear_restart --install_path=/ &
  ulimit -HSn 131072
}

stop_app() {
  killall -9 pear_restart
  sleep 1
  killall -9 pear_update
  killall -9 pear_monitor
  killall -9 pear_httpd
  killall -9 pear_s
  killall -9 xc_scan.sh
  service openresty restart
}

case "$1" in
  start)
    stop_app
    start_app
    ;;
  stop)
    stop_app
    ;;
  reload|restart|force-reload)
    stop_app
    start_app
    ;;
  *)
    echo "$0 start|stop|reload|restart"
    exit 1
esac

exit 0
